ImageHeight 属性 (ActiveX)
指定光栅图像的高度。 支持的平台:仅限 Windows 属性值只读:不 类型:双 光栅图像的高度。 言论此属性与属性类似。该属性指定图像的高度(以像素为单位)。此属性指定图像的高度(以当前单位为单位)。HeightHeight 例子VBA: Sub Example_ImageHeight() ' This example adds a raster image in model space and then finds ' the height and width of the image. ' This example uses the "2d Projected Polylines.jpg" found in the Sample ' directory. If you do not have this image, or if it is located ' in a different directory, insert a valid path and file name ' for the imageName variable below. Dim insertionPoint(0 To 2) As Double Dim scalefactor As Double Dim rotationAngle As Double Dim imageName As String Dim rasterObj As AcadRasterImage imageName = "C:/AutoCAD/sample/2d Projected Polylines.jpg" insertionPoint(0) = 5#: insertionPoint(1) = 5#: insertionPoint(2) = 0# scalefactor = 1# rotationAngle = 0 ' Creates a raster image in model space Set rasterObj = ThisDrawing.ModelSpace.AddRaster(imageName, insertionPoint, scalefactor, rotationAngle) ' Find the height and width of the raster image Dim height As Variant Dim width As Variant height = rasterObj.ImageHeight width = rasterObj.ImageWidth MsgBox "Raster image: " & rasterObj.ImageFile & vbCrLf & _ "ImageHeight: " & Str(height) & vbCrLf & _ "ImageWidth: " & Str(width) End Sub 可视化 LISP: (vl-load-com) (defun c:Example_ImageHeight() ;; This example adds a raster image in model space and then finds ;; the height and width of the image. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; This example uses the "2d Projected Polylines.jpg" found in the Sample ;; directory. If you do not have this image, or if it is located ;; in a different directory, insert a valid path and file name ;; for the imageName variable below. (setq insertionPoint (vlax-3d-point 5 5 0) imageName ".\\Sample\\VBA\\2d Projected Polylines.jpg" scalefactor 1 rotationAngle 0) ;; Creates a raster image in model space (if (/= (findfile imageName) nil) (progn (setq modelSpace (vla-get-ModelSpace doc)) (setq rasterObj (vla-AddRaster modelSpace (findfile imageName) insertionPoint scalefactor rotationAngle)) ;; Find the height and width of the raster image (setq height (vla-get-ImageHeight rasterObj) width (vla-get-ImageWidth rasterObj)) (alert (strcat "Raster image: " (vla-get-ImageFile rasterObj) "\nImageHeight: " (rtos height 2) "\nImageWidth: " (rtos width 2))) ) (alert (strcat imageName " could not be found.")) ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:33
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.